Votre question

[Résolu] Eclipse JRE 5

Tags :
  • Jre
  • Programmation
Dernière réponse : dans Programmation
8 Décembre 2006 17:17:34

Bonjour à tous,

je développe une application sous eclipse et le JRE1.5.0_06 (jdk1.5.0_10). Tout est, selon moi, parfaitement configuré, mais lorsque je veux utiliser une nouveauté de ce JRE, à savoir le type générique ArrayList<Object>, eclipse me donne l'erreur suivante:

"The type ArrayList is not generic; it cannot be parameterized with arguments <Object>".

J'ai beau chercher, je ne trouve pas comment arranger ce problème.

Pouvez-vous m'aider?

Merci beaucoup

Autres pages sur : resolu eclipse jre

9 Décembre 2006 10:07:22

Salut.
Si j'ai bien compris ton problème, il faut modifier le paramèter java compilance :
Tu peux soit affecter les options à tous les projets par défaut (voir 1), soit le spécifier seulement pour le projet en cours (voir 2) :

1- options par défaut du workspace
1. sur un projet > clique droit > propriétés
2. menu java compiler
3. lien Configure workspace settings
4. choisit le compilance level à 5

2- pour le projet seulement

1. et 2. : la même chose.
3. coche Enable project specific settings
4. choisit le compilance level à 5


Nb : mon Eclipse est en anglais, mais je pense que si le tiens est en fr, ce ne sera pas trop différent :$



9 Décembre 2006 10:16:35

aispirit tu es génial!
mon eclipse est en anglais aussi ;o)

Un tout grand merci à toi
Contenus similaires
10 Décembre 2006 11:21:16

De rien :D .
Pense à marquer le sujet coment résolu !
10 Décembre 2006 11:25:39

Voila c'est fait
Tom's guide dans le monde
  • Allemagne
  • Italie
  • Irlande
  • Royaume Uni
  • Etats Unis
Suivre Tom's Guide
Inscrivez-vous à la Newsletter
  • ajouter à twitter
  • ajouter à facebook
  • ajouter un flux RSS